#Represents a 2D location in space. Note that there is an attr_accessor for @x and @y.
class Location
	attr_accessor ( :x )
	attr_accessor ( :y )

	#Sets the x and y to the given values.
	def initialize(x, y)
		@x = x
		@y = y
	end
	
	#Increases the x and y by the given amounts.
	def move(x, y)
		@x += x
		@y += y
	end
	#Decreases the x and y by the given amounts.
	def moveNeg(x, y)
		@x -= x
		@y -= y
	end
	#Moves the location to the specified values.
	def moveTo(x, y)
		@x = x
		@y = y
	end
	
	#Returns true if @x > @y.
	def highest_value_x?()
		return @x > @y
	end
	#Returns true if @y > @x.
	def highest_value_y?()
		return @y > @x
	end
	#Returns true unless @x > @y.
	def lowest_value_x?()
		return !highest_value_x?()
	end
	#Returns true unless @y > @x.
	def lowest_value_y?()
		return !highest_value_y?()
	end
	
	def [](k)
		return nil unless (k == 0 or k == 1)
		return self.x() if (k == 0)
		return self.y()
	end
	def []=(k, v)
		return nil unless (k == 0 or k == 1)
		self.x = v if (k == 0)
		self.y = v
	end
end